function [ C ] = blackScholesCallPrice( K, T, S, vol, r )
d1 = 1./(vol.*sqrt(T)).*(log( S./K ) + (r + vol.^2/2).*T );
d2 = 1./(vol.*sqrt(T)).*(log( S./K ) + (r - vol.^2/2).*T );
C = S.*normcdf(d1) - exp( -r.*T).*K.*normcdf(d2);
end

