function [ P ] = blackScholesPrice( isPut, K, T, S, vol, r )
d1 = 1./(vol.*sqrt(T)).*(log( S./K ) + (r + vol.^2/2).*T );
d2 = 1./(vol.*sqrt(T)).*(log( S./K ) + (r - vol.^2/2).*T );
C = S.*normcdf(d1) - exp( -r.*T).*K.*normcdf(d2);
P = K.*normcdf(-d2).*exp( -r.*T) - S.*normcdf(-d1);
P = isPut.*P + (1-isPut).*C;
end

