function integral = integrateNumericallyVersion2( f, a, b, nSteps )
%INTEGRATENUMERICALLYVERSION2 Summary of this function goes here
%   Detailed explanation goes here
if a==-Inf
    if (b==Inf)
        integral = integrateOverR(f,nSteps);
    else
        integral = integrateFromMinusInfinity(f,b,nSteps);
    end    
elseif b==Inf
    integral = integrateToMinusInfinity(f,a,nSteps);
else
    integral = integrateNumericallyForLoop(f,a,b,nSteps);
end    

end

function integral = integrateFromMinusInfinity(f, b, nSteps )
% Change of variables for one infinite limit
    function r=transformedIntegrand(y)
        r = f(b + 1 - 1./y).*y.^-2;
    end
    integral = integrateNumericallyForLoop(@transformedIntegrand,0,1,nSteps);
end

function integral = integrateToMinusInfinity(f, a, nSteps )
% Change of variables for one infinite limit
    function r=transformedIntegrand(y)
        r = f(a - 1 + 1./y).*y.^-2;
    end
    integral = integrateNumericallyForLoop(@transformedIntegrand,0,1,nSteps);
end

function integral = integrateOverR(f, nSteps )
% Change of variables for fully infinite limit
    function r=transformedIntegrand(y)
        r = f(tan(y)).*(cos(y).^-2);
    end
    integral = integrateNumericallyForLoop(@transformedIntegrand,-pi/2,pi/2,nSteps);
end




