function  testBlackScholesCallPrice()
%TESTBLACKSCHOLESCALLPRICE Summary of this function goes here
%   Detailed explanation goes here

K = 100.0;
T = [1.0 0.001];
S = 110.0;
vol = 0.1;
r = 0.05;

% Test a static bound on the call price
actual = blackScholesCallPrice( K, T, S, vol, r );
lowerBound = S - exp(-r*T)*K;
assert( actual(1) > lowerBound(1) );
% If it near to maturity, the option should be worth much
% the same as the immediate exercise price
assertApproxEquals( actual(2), 10.0, 0.01 );


end

